
TYPO3.Neos - Bug # 49268

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category:
Created: 2013-06-19 Assigned To: Karsten Dambekalns
Updated: 2013-09-24 Due date:
Subject: Sites containing start/end dates cannot be exported/import
Description

Exporting \DateTime instances is not possible, which means sites containing pages hidden by date cannot be exported.

On top of that building the error message in those cases causes another error.

Associated revisions
Revision bcabd0ba - 2013-09-24 14:06 - Karsten Dambekalns

[BUGFIX] Nodes containing datetime properties cannot be ex-/imported

This change adds the handling of \DateTime instances to the site export
and import services.

Change-Id: Ieb2a332b2900762f45bf4ed3e75d54eb0876d15e
Fixes: #49268
Reviewed-on: https://review.typo3.org/21517
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

History
#1 - 2013-06-19 23:02 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21517

#2 - 2013-06-19 23:03 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2013-09-24 12:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21517

#4 - 2013-09-24 13:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21517

#5 - 2013-09-24 14:05 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21517

#6 - 2013-09-24 14:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bcabd0ba9f627c23d276df1b430c57d89f0ec62f.
